Skip to content

Sets the time-restricted activation policy on the entitlement.

POST
/api/v1/provision/admin/entitlements/{entitlementId}/policies/time-restricted
curl --request POST \
--url https://example.com/api/v1/provision/admin/entitlements/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/policies/time-restricted \
--header 'Content-Type: application/json' \
--data '{ "notValidBeforeTimestamp": "2026-04-15T12:00:00Z", "notValidAfterTimestamp": "2026-04-15T12:00:00Z", "activationPeriod": "example" }'
entitlementId
required
string format: uuid

Target entitlement.

Policy payload.

object
notValidBeforeTimestamp
null | string format: date-time
notValidAfterTimestamp
null | string format: date-time
activationPeriod
string
/^-?(\d+\.)?\d{2}:\d{2}:\d{2}(\.\d{1,7})?$/
Example generated
{
"notValidBeforeTimestamp": "2026-04-15T12:00:00Z",
"notValidAfterTimestamp": "2026-04-15T12:00:00Z",
"activationPeriod": "example"
}

OK

Bad Request

object
type
null | string
title
null | string
status
null | integer | string format: int32
/^-?(?:0|[1-9]\d*)$/
detail
null | string
instance
null | string

Not Found

object
type
null | string
title
null | string
status
null | integer | string format: int32
/^-?(?:0|[1-9]\d*)$/
detail
null | string
instance
null | string